## org.apache.solr.common.util
Class FileUtils

    java.lang.Object
      org.apache.solr.common.util.FileUtils

    public class FileUtils

extends Object

Version:
  $Id: FileUtils.java 906905 2010-02-05 11:44:10Z noble $

Constructor Summary
`FileUtils()`

Method Summary
`static void` `copyFile(File src, File destination)`
`static File` `resolvePath(File base, String path)` Resolves a path relative a base directory.
`static void` `sync(File fullFile)` Copied from Lucene's `FSDirectory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileUtils

    public FileUtils()

Method Detail

### resolvePath

    public static File resolvePath(File base,
                                   String path)

  Resolves a path relative a base directory.

  This method does what "new File(base,path)" Should do, it wasn't completely lame: If path is absolute, then a File for that path is returned; if it's not absoluve, then a File is returnd using "path" as a child of "base")

### copyFile

    public static void copyFile(File src,
                                File destination)
                         throws IOException

  Throws:
    `IOException`

### sync

    public static void sync(File fullFile)
                     throws IOException

  Copied from Lucene's `FSDirectory`

  Parameters:
    `fullFile` - the File to be synced to disk
  Throws:
    `IOException` - if the file could not be synced
  See Also:
    `FSDirectory`

Copyright © 2011 Apache Software Foundation. All Rights Reserved.